<?php
// master autoindex
// ionutvmi
// download link
// 15 - oct - 2012

$plugins->add_hook("file_mid","dlink_add");


function dlink_info(){
	return	array(	
	"name" => "Dlink Plugin",
	"author" => "ionutvmi",
	"author_site" => "http://master-land.net",
	"description" => "This will show in a textarea a link to be shared",
	);
}

function dlink_add(){
	global $extra_img,$set,$file;
	$current_link = $set->url."/data/file/".$file->id."/".mai_converturl($file->name).".html";
	$extra_img .= "<div class='content'><textarea>$current_link</textarea></div>";
	
}